Skip to main content
GET
/
receiver
/
external-account
/
{accountId}
cURL
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/receiver/external-account/{accountId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "supportedCurrencies": [
    {
      "currency": {
        "code": "USD",
        "name": "United States Dollar",
        "symbol": "$",
        "decimals": 2
      },
      "estimatedExchangeRate": 1.08,
      "min": 1,
      "max": 1000000
    }
  ],
  "lookupId": "Lookup:019542f5-b3e7-1d02-0000-000000000009",
  "accountId": "ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965",
  "requiredPayerDataFields": [
    {
      "name": "FULL_NAME",
      "mandatory": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://grid.lightspark.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

accountId
string
required

System-generated ID of the external account

Example:

"ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965"

Query Parameters

senderUmaAddress
string

UMA address of the sender (optional if customerId is provided)

customerId
string

System ID of the sender (optional if senderUmaAddress is provided)

Response

Successful lookup

supportedCurrencies
object[]
required

List of currencies supported by the receiving account

lookupId
string
required

Unique identifier for the lookup. Needed in the subsequent create quote request.

Example:

"Lookup:019542f5-b3e7-1d02-0000-000000000009"

accountId
string
required

The external account ID that was looked up

Example:

"ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965"

requiredPayerDataFields
object[]

Fields required by the receiving institution about the payer before payment can be completed